Page MenuHomePhabricator

WMF Engineering and Product travel approval for Wikimedia Hackathon and Wikimania
Closed, ResolvedPublic

Description

We must process all travel requests from the Wikimedia Foundation Engineering and Product departments for the Wikimedia Hackathon in Lyon and Wikimania in Mexico City. More details to come.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAlexCella
ResolvedAlexCella
ResolvedRfarrand
ResolvedSylvain_WMFr
ResolvedSylvain_WMFr
ResolvedAlexCella
ResolvedQgil
ResolvedOmar_sansi
ResolvedQgil
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedDeskana
Resolved yuvipanda
Resolvedcoren
Resolvedgreg
Resolved GWicke
Resolved GWicke
Resolvedmobrovac

Event Timeline

Qgil created this task.Feb 12 2015, 3:55 PM
Qgil claimed this task.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2015, 3:55 PM
Qgil updated the task description. (Show Details)Feb 12 2015, 3:55 PM
Qgil set Security to None.
Qgil added a comment.Feb 12 2015, 4:15 PM

A draft form exists, shared with Rachel, Robla, Damon, and Erik.

Qgil moved this task from Backlog to Doing on the ECT-February-2015 board.Feb 12 2015, 4:15 PM
Qgil added a subscriber: Rfarrand.Feb 18 2015, 2:01 PM

Email to the internal engineering@ list drafted. Today @Rfarrand and I are meeting Damon and Erik for a Go/NoGo. I'm hoping to open the internal travel request process before the end of today, with March 4th as deadline for requests.

Since WMF employees are required to name a hackathon buddy, we somehow depend on the registration process and the travel sponsorship of the Wikimedia Hackathon and Wikimania, to make sure that the buddies nominated are willing and able to join.

Qgil added a comment.Feb 18 2015, 11:21 PM

Email sent to the internal engineering@ mailing list:

Hey WMF Engineering/Product,
You can request travel approval for the Wikimedia Hackathon and/or Wikimania by filling this form before the end of Wednesday, March 4th:
http...
Accepted participants will still need to register to the events. This form is only for the WMF travel approval.
This year we have introduced some changes to encourage more hacking, more mingling with non-WMF participants, and better support to newcomers:

Note that this process encourages you to get organized around projects and events. If several WMF employees decide to work on a specific project with volunteer counterparts, your chances of being approved as a block will be high.
This process requires more coordination than in previous years. For this reason, all WMF employees will be able to view all submissions [1], and to edit their own. We will approve individuals case by case, starting with the clear ones: first-time participant, solid hackathon team plan, corresponded buddy confirmed, open to support newbies.
[1] https... (people at the WMF with the link can view)

Thank you for organizing all this! I appreciate the effort to make those events more quantifiable.

Some initial feedback on the conditions outlined above:

  • It is difficult to know 4 months in advance what kind of project one will work on during a 2- or 3-day event. Not impossible, but very difficult.
  • For the same reason, it's going to be difficult to find a "buddy" if you're unsure what to work on.
  • These conditions seem very focused on hackathons. They lose meaning if your main reason for attending Wikimania is the main conference, and not the preceding hackathon.
Qgil added a comment.Feb 19 2015, 2:49 PM

It's the first time we try this. Rough corners and missing spots are expected, but common sense will prevail. Thank you for asking good questions.

  • It is difficult to know 4 months in advance what kind of project one will work on during a 2- or 3-day event. Not impossible, but very difficult.

True, but this is not very different from calls for participations asking presenters to plan for sessions to be delivered 4 months or more before. Having an idea is better than having no idea. This is Wikimedia, and we are used to work-in-progress.

  • For the same reason, it's going to be difficult to find a "buddy" if you're unsure what to work on.

You can find a buddy with similar existential doubts. :) O similar interests, or... If you have flexible plans and your buddy have flexible plans, then you wll actually help each other defining those plans as you get closer t the event. Also, buddies don't need to be twins or act like a married couple. Some buddies will work closer to each other than others. What matters is the connection.

  • These conditions seem very focused on hackathons. They lose meaning if your main reason for attending Wikimania is the main conference, and not the preceding hackathon.

Let me recycle the reply I gave in engineering@ to a similar comment:

Everybody in Engineering/Product willing to attend Wikimania is encouraged to participate in Wikimania's hackathon as well. Everybody. Your experience as a wikipedian knowing a lot about wikipedians is very valuable in any hacking project aiming to please wikipedians. You can help defining a feature, you can help giving opinions about design drafts, you can help testing and providing quick feedback, and you are damn good at writing. Engineers have many qualities, and all the rest of us working with them too. Wikimedia hackathons need non-engineers, and non-engineers need Wikimedia hackathons. Please think about it.

Then, the Wikimania Hackathon is expected to attract also "external" developers or editors having no idea of what happens in Wikimedia tech land, and you (like anybody in Engineering/Product) is perfectly qualified to welcome a newcomer.

Also, we are planning a 3 day hackathon (July 15-17), with a third day overlapping with the first day of "Wikimania-not-Hackathon". So yes, that hackathon might be even closer than you thought to all Wikimania participants. T89176

Said all this, there is a textarea for any other comments at the end of the form. Use it to add any other reasons why the WMF should send you to the events you want to participate, and we will do our best applying common sense within the budget available.

Qgil added a comment.Feb 24 2015, 1:59 PM

32 requests submitted and evaluated (work-in-progress still, no final decisions). Most people are still defining a projects and almost everybody has to identify a buddy yet.

Qgil added a comment.Feb 26 2015, 8:30 AM

After one week...

56 people have requested travel sponsorship.

From the 42 that want to participate in Lyon, 32 have been already accepted. Reasons for early approval include requesting for Lyon only, first Wikimedia Hackathon EU, geographical proximity, and contributing to the critical mass in the main areas defined for this event so far: Wikidata, MediaWiki releases, Quality, Editing, Mobile Apps, Wikimedia Labs (Why these areas? Feedback welcome at T89084#1065426 ).

The Wikimania Hackathon plan is not as clear today, which is fine. From the 31 people requesting travel approval for Mexico DF, 15 have been accepted so far. Language and Operations have a strong presence already.

Many people accepted haven't defined a buddy yet (fine at this point), and some must also define their hackathon project (please fix this soon). We have done this to ease the work of our Travel team and avoid extra expenses for late travel booking. We are applying the Russian adagio: "Trust, but check." :) Every single person has a comment in their "Lyon feedback" or "Mexico DF feedback" cell, including a short evaluation. Please update the form as you find project and buddy, and reply to my initial comment with your progress. If you have questions, that is also a convenient place to ask and keep record.

Remember, the deadline for new travel requests is by the end of next Wednesday, March 4th.

Qgil added a comment.Feb 27 2015, 9:34 AM

Email sent to the first 38 people accepted for Lyon:

Congratulations! Your request to travel to the Wikimedia Hackathon in Lyon has been accepted. Please read these instructions carefully.
BOOK YOUR TRAVEL TO LYON ASAP
So we know how much budget is left for remaining travel approvals. Those sharing rooms don't have to worry about roommates yet. RachelF will coordinate this according to your feedback.
https...
REGISTER TO THE EVENT
As soon as registration opens (expected around March 4th).
WORK WITH YOUR COLLEAGUES ON ONE OUTSTANDING ACTIVITY
We are investing a lot of donors money creating a very special event for you, and for the people and projects you will work with. Please define at least one outstanding activity that we can promote among external developer groups and other potential volunteers.
https://phabricator.wikimedia.org/T89084#1065426
BLEND WITH THE COMMUNITY
Plan to have non-WMF parity or majority of participants in your outstanding activity at least. Think of a casual training session and easy microtasks to onboard newcomers. Set an interesting path for volunteers with the goal of turning them into regular contributors of your project after the event.
https://www.mediawiki.org/wiki/Hackathons#The_Wikimedia_Hackathon_model
BUDDY UP
If you are having trouble finding a buddy, list yourself at https://www.mediawiki.org/wiki/Lyon_Hackathon_2015/Buddies. Expect a wave of volunteers in your same situation when the registration opens. Rachel Farrand and me will help as well.
We hope that you enjoy this experiment! Make it yours, adapting it to your preferences and needs. Your questions and feedback are welcome.

I will send it to every new person accepted for Lyon.

The Wikimania version will need some variations. For instance, as of today I have no idea about the accommodation plans for WMF employees. Other changes might be related to the fact that the hackathon is happening in the context of Wikimania, where attracting editors to the hackathon should be a specific goal.

Qgil moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 3 2015, 1:00 PM
Qgil added a comment.Mar 5 2015, 12:12 PM

The Wikimedia Foundation is sending at least 68 employees to Lyon. There are still a few cases being discussed, but this gives you a good idea of our participation in the Wikimedia Hackathon.

Qgil lowered the priority of this task from High to Medium.Mar 10 2015, 10:15 AM

I'm temporarily blocked on this task, since we are waiting for the general WMF travel budget for Wikimania. Without that, I cannot proceed with more approvals. This should not take that long, so I'm leaving this task open just with lower priority.

Qgil added a comment.Mar 12 2015, 9:52 AM

The Wikimedia Foundation is sending at least 68 employees to Lyon.

The count today is 74, quite final.

Qgil reassigned this task from Qgil to Rfarrand.Mar 26 2015, 3:13 PM

The Wikimedia Hackathon part of this task is basically completed.

@Rfarrand, as discussed, for the Wikimania part of this task, you drive and I can help if needed.

Rfarrand closed this task as Resolved.May 14 2015, 11:33 PM